/* Electronic Project
 * Ben Adida
 * ben@mit.edu
 * About Box
 */

package evote.about;

import java.awt.*;
import java.awt.event.*;

public class AboutBox extends Frame implements WindowListener {
  
  public AboutBox() {
    super("About Evote");
    
    this.setLayout(new BorderLayout());

    Panel top_p= new Panel();
    top_p.setFont(new Font("helvetica",Font.BOLD, 30));

    top_p.add(new Label("Welcome to Evoting!",Label.CENTER));

    this.add("North",top_p);

    Panel mid_top = new Panel();
    mid_top.add(new Label("brought to you by",Label.CENTER));

    Panel center= new Panel();
    center.setLayout(new BorderLayout());
    center.add("North",mid_top);

    Panel cent_center= new Panel();
    Panel top_cent_center= new Panel();
    Panel bot_cent_center= new Panel();
    Panel left_cent_center= new Panel();
    Panel right_cent_center= new Panel();
    
    top_cent_center.setFont(new Font("helvetica",Font.BOLD,20));
    top_cent_center.add(new Label("Mark Hershberg",Label.CENTER));
    cent_center.setLayout(new GridLayout(2,1));
    cent_center.add(top_cent_center);
    
    bot_cent_center.setLayout(new GridLayout(1,2));
    bot_cent_center.setFont(new Font("helvetica",Font.BOLD,15));
    left_cent_center.add(new Label("Randy Milbert",Label.CENTER));
    right_cent_center.add(new Label("Ben Adida", Label.CENTER));
    bot_cent_center.add(left_cent_center);
    bot_cent_center.add(right_cent_center);

    cent_center.add(bot_cent_center);

    center.add("Center",cent_center);
    
    this.add("Center",center);

    this.addWindowListener(this);

    this.pack();
    this.setSize(400,200);
    this.show();
  }

  public static void main(String argv[]) {
    new AboutBox();
  }

  public void windowActivated(WindowEvent e) {
  }
  
  public void windowClosed(WindowEvent e) {
  }
  
  public void windowClosing(WindowEvent e) {
    this.dispose();
  }

  public void windowDeactivated(WindowEvent e) {
  }

  public void windowDeiconified(WindowEvent e) {
  }

  public void windowIconified(WindowEvent e) {
  }

  public void windowOpened(WindowEvent e) {
  }

}
