/* Electronic Voting Project
 * Mark A. Herschberg (hershey@mit.edu)
 */

package evote.crypto;

/**
  This is an exception thrown when an operation can't be performed due to an
  uninstantiated key.
  */
public class NoKeyException extends Exception {
  
  public NoKeyException() {
    super();
  }
  
  public NoKeyException(String s) {
    super(s);
  }
  
}
