package evote.util.genkeys;

import java.io.*;
import java.math.BigInteger;

import evote.crypto.*;
import evote.util.constants.*;
import evote.util.genrand.*;


/**
  This application will generate a set of RSA keys (p,q,e,d,n).
 */
public class GenRsaKeys {
  DataOutputStream dout = new DataOutputStream(System.out);
    
  public GenRsaKeys() {
    System.out.println("Welcome to RSA Key Generation.");
    GenRand RNG = new GenRand();
    RNG.seed();
    RsaKeys keyset = new RsaKeys(RNG);
    System.out.println("RSA Keys:");
    System.out.println("RSA p: " + keyset.p);
    System.out.println("RSA q: " + keyset.q);
    System.out.println("RSA e: " + keyset.e);
    System.out.println("RSA d: " + keyset.d);
    System.out.println("RSA n: " + keyset.n);
  }

  public static void main(String argv[]) {
    new GenRsaKeys();
    System.exit(0);
  }
 

}
