/*
 * quick dialog says "yes/no"
 */

package evote.util.quick_message;

import java.awt.*;
import java.awt.event.*;

public class QuickYesNo extends Frame implements ActionListener {
  private Button yesButton, noButton;
  private boolean result= false;
  private YesNoCaller caller;

  public QuickYesNo(YesNoCaller ca, String message) {
    super("Confirmation");
    
    caller= ca;
    this.setLayout(new BorderLayout());
    this.add("Center", new Label(message));
    
    Panel buttonPanel= new Panel();
    yesButton= new Button("Yes");
    yesButton.addActionListener(this);
    noButton= new Button("No");
    noButton.addActionListener(this);
    buttonPanel.add(yesButton);
    buttonPanel.add(noButton);
    
    this.add("South",buttonPanel);
    this.pack();
    this.setSize(400,100);
    this.show();
  }

  public void actionPerformed(ActionEvent aevt) {
    Object source= aevt.getSource();
    
    if (source == yesButton) {
      result= true;
      this.hide();
      this.dispose();
      caller.doYes();
    }

    if (source == noButton) {
      result= false;
      this.hide();
      this.dispose();
      caller.doNo();
    }
  }
}
