/*
 * The Anonymizer Parameters
 */

package evote.anonymizer;

import evote.lang.*;
import evote.election.*;
import evote.crypto.*;

public class AnonymizerParameters extends Parameters {

  private Election myElection;

  public void setElection(Election e) {
    myElection= e;
  }

  public Election getElection() {
    return(myElection);
  }

  public void setKeys(RsaKeys rsk) {
    setAnonKeys(rsk);
  }

  public RsaKeys getKeys() {
    return(getAnonKeys());
  }

  public Parameters makeOtherSelf() {
    return(new AnonymizerParameters());
  }
  
}
