/*
 * Question
 */

package evote.question;

import java.io.*;

/**
 * The Question class contains a question for the elections
 */

public class Question implements Serializable {

  private String question;
  private String[] answers;
  private boolean allows_write_ins;
  private int questionListID, questionID;

  public Question(String qu, int num_answers, boolean wi) {
    questionListID= questionID= -1;
    question= qu;
    answers= new String[num_answers];
    allows_write_ins= wi;
  }

  public void setAnswer(int pos, String ans) {
    answers[pos]= ans;
  }

  public String getQuestion() {
    return(question);
  }

  public int getNumAnswers() {
    return(answers.length);
  }

  public String[] getAnswers() {
    return((String[])answers.clone());
  }
  
  public boolean allowsWriteIns() {
    return(allows_write_ins);
  }

  public void setQuestionListID(int qlid) {
    questionListID= qlid;
  }

  public void setQuestionID(int qid) {
    questionID= qid;
  }

  public int getQuestionListID() {
    return(questionListID);
  }

  public int getQuestionID() {
    return(questionID);
  }
    
}
