/* 
 * This class interrupts
 * an interruptable object at a given time
 */

package evote.lang;

import java.util.*;

public class TimeInterrupter implements Runnable {

  private Interruptable myInterruptable;
  private Date when;
  private Thread myThread;
  
  public TimeInterrupter(Interruptable inter, Date d) {
    myInterruptable= inter;
    when= d;

    myThread= new Thread(this);
    myThread.start();
  }

  public void run() {
    while(true) {
      try {
	Thread.sleep(60000);
      } catch(InterruptedException exc) {
      }
      
      Date now= new Date();
      if (now.after(when))
	break;
    }

    // we need to interrupt
    myInterruptable.timeInterrupt();
  }
}

    
