/*
 * The Admin Parameters
 */

package evote.admin;

import evote.lang.*;
import evote.election.*;
import evote.crypto.*;

public class AdminParameters extends Parameters {

  private Election myElection;

  public void setElection(Election e) {
    myElection= e;
  }

  public Election getElection() {
    return(myElection);
  }

  public void setKeys(RsaKeys rsk) {
    setAdminKeys(rsk);
  }

  public RsaKeys getKeys() {
    return(getAdminKeys());
  }

  public Parameters makeOtherSelf() {
    return(new AdminParameters());
  }
  
}
